com.ibm.openpages.api.configuration

## Interface DisplayTypes

-     public interface DisplayTypes

  This class contains constants for display type names and parameter key names associated with the display types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BOOLEAN` Boolean
    `static java.lang.String` | `COLUMNS_KEY`
    `static java.lang.String` | `CURRENCY` Currency
    `static java.lang.String` | `CURRENCY_EXCHANGERATE_READONLY_KEY`
    `static java.lang.String` | `CURRENCY_SHOW_CONVERSION_KEY`
    `static java.lang.String` | `DATE` Date
    `static java.lang.String` | `DECIMAL` Decimal
    `static java.lang.String` | `DEPRECATED_ENUMERATION` Enumerated String
    `static java.lang.String` | `ENUMERATION`
    `static java.lang.String` | `GROUP_SELECTOR` Group Selector
    `static java.lang.String` | `IN_LINE` In-Line Report
    `static java.lang.String` | `IN_LINE_HEIGHT_KEY`
    `static java.lang.String` | `INTEGER` Integer
    `static java.lang.String` | `LINK` Link Report
    `static java.lang.String` | `LINK_RT`
    `static java.lang.String` | `RADIO_CHECKBOX`
    `static java.lang.String` | `REFERENCE` Reference
    `static java.lang.String` | `RICH_TEXT` Rich Text
    `static java.lang.String` | `RICH_TEXT_COLUMN_UNIT_KEY`
    `static java.lang.String` | `RICH_TEXT_COLUMNS_KEY`
    `static java.lang.String` | `RICH_TEXT_ROW_UNIT_KEY`
    `static java.lang.String` | `RICH_TEXT_ROWS_KEY`
    `static java.lang.String` | `ROWS_KEY`
    `static java.lang.String` | `SELECTOR_INCLUDE_DISABLED_KEY`
    `static java.lang.String` | `SELECTOR_INCLUDE_SUBGROUPS_KEY`
    `static java.lang.String` | `SELECTOR_MIN_ACCESS_KEY`
    `static java.lang.String` | `SELECTOR_SPAN_COLUMNS_KEY`
    `static java.lang.String` | `SELECTOR_STARTING_GROUP_KEY`
    `static java.lang.String` | `SIBLING_OBJECT_SELECT_DROPDOWN` Dropdown Sibling Object Selector
    `static java.lang.String` | `SPAN_COLUMNS_KEY`
    `static java.lang.String` | `TEXT_AREA` Text Area
    `static java.lang.String` | `TEXT_AREA_COLUMNS_KEY`
    `static java.lang.String` | `TEXT_AREA_ROWS_KEY`
    `static java.lang.String` | `TEXT_BOX` Text Box
    `static java.lang.String` | `TEXT_BOX_COLUMNS_KEY`
    `static java.lang.String` | `TEXT_BOX_MAX_LENGTH_KEY`
    `static java.lang.String` | `URL` URL
    `static java.lang.String` | `URL_COLUMNS_KEY`
    `static java.lang.String` | `URL_MAX_LENGTH_KEY`
    `static java.lang.String` | `USER_DROP_DOWN` User Dropdown See SELECTOR keys below for parameter keys
    `static java.lang.String` | `USER_GROUP_SELECTOR` User - Group Selector See SELECTOR keys below for parameter keys
    `static java.lang.String` | `USER_SELECTOR` User Selector See SELECTOR keys below for parameter keys
    `static java.lang.String` | `VALUE_SELECT_DROPDOWN` Dropdown Value Selector

- - ### Field Detail

    - #### SPAN_COLUMNS_KEY

          static final java.lang.String SPAN_COLUMNS_KEY

      See Also:
        Constant Field Values

    - #### COLUMNS_KEY

          static final java.lang.String COLUMNS_KEY

      See Also:
        Constant Field Values

    - #### ROWS_KEY

          static final java.lang.String ROWS_KEY

      See Also:
        Constant Field Values

    - #### TEXT_BOX

          static final java.lang.String TEXT_BOX

      Text Box
      See Also:
        Constant Field Values

    - #### TEXT_BOX_COLUMNS_KEY

          static final java.lang.String TEXT_BOX_COLUMNS_KEY

      See Also:
        Constant Field Values

    - #### TEXT_BOX_MAX_LENGTH_KEY

          static final java.lang.String TEXT_BOX_MAX_LENGTH_KEY

      See Also:
        Constant Field Values

    - #### TEXT_AREA

          static final java.lang.String TEXT_AREA

      Text Area
      See Also:
        Constant Field Values

    - #### TEXT_AREA_COLUMNS_KEY

          static final java.lang.String TEXT_AREA_COLUMNS_KEY

      See Also:
        Constant Field Values

    - #### TEXT_AREA_ROWS_KEY

          static final java.lang.String TEXT_AREA_ROWS_KEY

      See Also:
        Constant Field Values

    - #### RICH_TEXT

          static final java.lang.String RICH_TEXT

      Rich Text
      See Also:
        Constant Field Values

    - #### RICH_TEXT_COLUMNS_KEY

          static final java.lang.String RICH_TEXT_COLUMNS_KEY

      See Also:
        Constant Field Values

    - #### RICH_TEXT_COLUMN_UNIT_KEY

          static final java.lang.String RICH_TEXT_COLUMN_UNIT_KEY

      See Also:
        Constant Field Values

    - #### RICH_TEXT_ROWS_KEY

          static final java.lang.String RICH_TEXT_ROWS_KEY

      See Also:
        Constant Field Values

    - #### RICH_TEXT_ROW_UNIT_KEY

          static final java.lang.String RICH_TEXT_ROW_UNIT_KEY

      See Also:
        Constant Field Values

    - #### USER_GROUP_SELECTOR

          static final java.lang.String USER_GROUP_SELECTOR

      User - Group Selector See SELECTOR keys below for parameter keys
      See Also:
        Constant Field Values

    - #### USER_DROP_DOWN

          static final java.lang.String USER_DROP_DOWN

      User Dropdown See SELECTOR keys below for parameter keys
      See Also:
        Constant Field Values

    - #### USER_SELECTOR

          static final java.lang.String USER_SELECTOR

      User Selector See SELECTOR keys below for parameter keys
      See Also:
        Constant Field Values

    - #### GROUP_SELECTOR

          static final java.lang.String GROUP_SELECTOR

      Group Selector
      See Also:
        Constant Field Values

    - #### SELECTOR_SPAN_COLUMNS_KEY

          static final java.lang.String SELECTOR_SPAN_COLUMNS_KEY

      See Also:
        Constant Field Values

    - #### SELECTOR_MIN_ACCESS_KEY

          static final java.lang.String SELECTOR_MIN_ACCESS_KEY

      See Also:
        Constant Field Values

    - #### SELECTOR_INCLUDE_DISABLED_KEY

          static final java.lang.String SELECTOR_INCLUDE_DISABLED_KEY

      See Also:
        Constant Field Values

    - #### SELECTOR_INCLUDE_SUBGROUPS_KEY

          static final java.lang.String SELECTOR_INCLUDE_SUBGROUPS_KEY

      See Also:
        Constant Field Values

    - #### SELECTOR_STARTING_GROUP_KEY

          static final java.lang.String SELECTOR_STARTING_GROUP_KEY

      See Also:
        Constant Field Values

    - #### BOOLEAN

          static final java.lang.String BOOLEAN

      Boolean
      See Also:
        Constant Field Values

    - #### DATE

          static final java.lang.String DATE

      Date
      See Also:
        Constant Field Values

    - #### INTEGER

          static final java.lang.String INTEGER

      Integer
      See Also:
        Constant Field Values

    - #### DECIMAL

          static final java.lang.String DECIMAL

      Decimal
      See Also:
        Constant Field Values

    - #### CURRENCY

          static final java.lang.String CURRENCY

      Currency
      See Also:
        Constant Field Values

    - #### CURRENCY_SHOW_CONVERSION_KEY

          static final java.lang.String CURRENCY_SHOW_CONVERSION_KEY

      See Also:
        Constant Field Values

    - #### CURRENCY_EXCHANGERATE_READONLY_KEY

          static final java.lang.String CURRENCY_EXCHANGERATE_READONLY_KEY

      See Also:
        Constant Field Values

    - #### DEPRECATED_ENUMERATION

          static final java.lang.String DEPRECATED_ENUMERATION

      Enumerated String
      See Also:
        Constant Field Values

    - #### ENUMERATION

          static final java.lang.String ENUMERATION

      See Also:
        Constant Field Values

    - #### RADIO_CHECKBOX

          static final java.lang.String RADIO_CHECKBOX

      See Also:
        Constant Field Values

    - #### REFERENCE

          static final java.lang.String REFERENCE

      Reference
      See Also:
        Constant Field Values

    - #### URL

          static final java.lang.String URL

      URL
      See Also:
        Constant Field Values

    - #### URL_COLUMNS_KEY

          static final java.lang.String URL_COLUMNS_KEY

      See Also:
        Constant Field Values

    - #### URL_MAX_LENGTH_KEY

          static final java.lang.String URL_MAX_LENGTH_KEY

      See Also:
        Constant Field Values

    - #### SIBLING_OBJECT_SELECT_DROPDOWN

          static final java.lang.String SIBLING_OBJECT_SELECT_DROPDOWN

      Dropdown Sibling Object Selector
      See Also:
        Constant Field Values

    - #### VALUE_SELECT_DROPDOWN

          static final java.lang.String VALUE_SELECT_DROPDOWN

      Dropdown Value Selector
      See Also:
        Constant Field Values

    - #### IN_LINE

          static final java.lang.String IN_LINE

      In-Line Report
      See Also:
        Constant Field Values

    - #### IN_LINE_HEIGHT_KEY

          static final java.lang.String IN_LINE_HEIGHT_KEY

      See Also:
        Constant Field Values

    - #### LINK

          static final java.lang.String LINK

      Link Report
      See Also:
        Constant Field Values

    - #### LINK_RT

          static final java.lang.String LINK_RT

      See Also:
        Constant Field Values

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.